package bean;

import java.io.Serializable;

public class View implements Serializable {
   private String dbname;
   private String schema;
   private String name;
   private String create_sql;

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getCreate_sql() {
      return this.create_sql;
   }

   public void setCreate_sql(String create_sql) {
      this.create_sql = create_sql;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getDbname() {
      return this.dbname;
   }

   public void setDbname(String dbname) {
      this.dbname = dbname;
   }

   public View(String name, String create_sql) {
      this.name = name;
      this.create_sql = create_sql;
   }

   public View(String schema, String name, String create_sql) {
      this.schema = schema;
      this.name = name;
      this.create_sql = create_sql;
   }
}
